CVE-2022-26049

Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection') in maven/com.diffplug.gradle/goomph

Identifiers

CVE-2022-26049, GHSA-p2f7-9cv7-jjf6

Package Slug

maven/com.diffplug.gradle/goomph

Vulnerability

Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection')

Description

This affects the package com.diffplug.gradle:goomph before 3.37.2. It allows a malicious zip file to potentially break out of the expected destination directory, writing contents into arbitrary locations on the file system. Overwriting certain files/directories could allow an attacker to achieve remote code execution on a target system by exploiting this vulnerability. Note: This could have allowed a malicious zip file to extract itself into an arbitrary directory. The only file that Goomph extracts is the p2 bootstrapper and eclipse metadata files hosted at eclipse.org, which are not malicious, so the only way this vulnerability could have affected you is if you had set a custom bootstrap zip, and that zip was malicious.

Affected Versions

All versions before 3.37.2

Solution

Upgrade to version 3.37.2 or above.

Last Modified

2022-09-15

source